D-Bus 1.13.18

Data Structures | Macros | Typedefs | Variables
Basic types
D-Bus low-level public API

dbus_bool_t, dbus_int32_t, etc. More...

## Data Structures
struct | DBus8ByteStruct
| An 8-byte struct you could use to access int64 without having int64 support. More...
union | DBusBasicValue
| A simple value union that lets you access bytes as if they were various types; useful when dealing with basic types via void pointers and varargs. More...

## Macros
#define | DBUS_HAVE_INT64 1
#define | DBUS_INT64_CONSTANT(val) (_DBUS_GNUC_EXTENSION (val##L))
#define | DBUS_UINT64_CONSTANT(val) (_DBUS_GNUC_EXTENSION (val##UL))

## Typedefs
typedef dbus_uint32_t | dbus_bool_t
typedef unsigned int | dbus_uint32_t
typedef int | dbus_int32_t
typedef unsigned short | dbus_uint16_t
typedef short | dbus_int16_t

## Variables
_DBUS_GNUC_EXTENSION typedef unsigned long | dbus_uint64_t
_DBUS_GNUC_EXTENSION typedef long | dbus_int64_t

## Detailed Description

dbus_bool_t, dbus_int32_t, etc.

Typedefs for common primitive types.

## Macro Definition Documentation

## ◆ DBUS_HAVE_INT64

#define DBUS_HAVE_INT64 1

Always defined.

In older libdbus versions, this would be undefined if there was no 64-bit integer type on that platform. libdbus no longer supports such platforms.

## ◆ DBUS_INT64_CONSTANT

#define DBUS_INT64_CONSTANT | ( |  | val | ) | (_DBUS_GNUC_EXTENSION (val##L))

Declare a 64-bit signed integer constant. The macro adds the necessary "LL" or whatever after the integer, giving a literal such as "325145246765LL"

## ◆ DBUS_UINT64_CONSTANT

#define DBUS_UINT64_CONSTANT | ( |  | val | ) | (_DBUS_GNUC_EXTENSION (val##UL))

Declare a 64-bit unsigned integer constant. The macro adds the necessary "ULL" or whatever after the integer, giving a literal such as "325145246765ULL"

## Typedef Documentation

## ◆ dbus_bool_t

dbus_bool_t

A boolean, valid values are TRUE and FALSE.

Definition at line 35 of file dbus-types.h.

## ◆ dbus_int16_t

dbus_int16_t

A 16-bit signed integer on all platforms.

Definition at line 45 of file dbus-arch-deps.h.

## ◆ dbus_int32_t

dbus_int32_t

A 32-bit signed integer on all platforms.

Definition at line 42 of file dbus-arch-deps.h.

## ◆ dbus_uint16_t

dbus_uint16_t

A 16-bit unsigned integer on all platforms.

Definition at line 46 of file dbus-arch-deps.h.

## ◆ dbus_uint32_t

dbus_uint32_t

A 32-bit unsigned integer on all platforms.

Definition at line 43 of file dbus-arch-deps.h.

## Variable Documentation

## ◆ dbus_int64_t

dbus_int64_t

A 64-bit signed integer.

Definition at line 36 of file dbus-arch-deps.h.

Referenced by _dbus_stat().

## ◆ dbus_uint64_t

dbus_uint64_t

A 64-bit unsigned integer.

Definition at line 37 of file dbus-arch-deps.h.

Referenced by _dbus_get_real_time(), _dbus_marshal_read_basic(), _dbus_marshal_set_basic(), _dbus_marshal_write_basic(), _dbus_marshal_write_fixed_multi(), _dbus_swap_array(), and _dbus_verbose_bytes().